Monday, December 19, 2005

Upgrading to .Net Framework 2.0 breaks Accelerator for Salesforce.com

As some of our users have noticed, it they download and install the .Net Framework 2.0 on their system (2.0.50727.42), the MindManager 6 Accelerator for Salesforce.com window looks strange and you start to get errors when refreshing Map Dashboards. We are looking into these problems and this is what we found:
  • The layout code for Windows forms is different from the 1.1 .Net Framework to the 2.0 .Net Framework so controls are right-aligned in a tab control are pushed out of the window.
  • the xpath expression $style/ap:Color works in 1.1 even if $style is empty (nothing is copied). If $style is empty in 2.0 a System.XML error: Expression must evaluate to a node-set. happens.
  • We can fix the code but once we recompile the DLLs on a system with the 2.0 .Net framework installed, we cannot debug it with Visual Studio 2003.

We will keep you posted on anything new. Our suggestion to anyone who is using the MindManager Accelerator for Salesforce.com is to not install the .Net Framework 2.0 or uninstall it if you have already installed it.

We apologies for the inconvenience.

Michael


0 Comments:

Post a Comment

Links to this post:

Create a Link

<< Home